#ifndef mozilla_dom_BindingNames_h
#define mozilla_dom_BindingNames_h

#include <stddef.h>
#include <stdint.h>
#include "mozilla/Attributes.h"

namespace mozilla::dom {

enum class BindingNamesOffset : uint16_t {
  ANGLE_instanced_arrays = 0,
  APZHitResultFlags = 23,
  AbortController = 41,
  AbortSignal = 57,
  AbstractRange = 69,
  AccessibleNode = 83,
  Addon = 98,
  AddonEvent = 104,
  AddonInstall = 115,
  AddonManager = 128,
  AddonManagerPermissions = 141,
  AnalyserNode = 165,
  Animation = 178,
  AnimationEffect = 188,
  AnimationEvent = 204,
  AnimationPlaybackEvent = 219,
  AnimationTimeline = 242,
  AnonymousContent = 260,
  Attr = 277,
  Audio = 282,
  AudioBuffer = 288,
  AudioBufferSourceNode = 300,
  AudioContext = 322,
  AudioDestinationNode = 335,
  AudioListener = 356,
  AudioNode = 370,
  AudioParam = 380,
  AudioParamMap = 391,
  AudioProcessingEvent = 405,
  AudioScheduledSourceNode = 426,
  AudioTrack = 451,
  AudioTrackList = 462,
  AudioWorklet = 477,
  AudioWorkletGlobalScope = 490,
  AudioWorkletNode = 514,
  AudioWorkletProcessor = 531,
  AuthenticatorAssertionResponse = 553,
  AuthenticatorAttestationResponse = 584,
  AuthenticatorResponse = 617,
  BarProp = 639,
  BaseAudioContext = 647,
  BatteryManager = 664,
  BeforeUnloadEvent = 679,
  BiquadFilterNode = 697,
  Blob = 714,
  BlobEvent = 719,
  BroadcastChannel = 729,
  BrowsingContext = 746,
  BrowsingContextGroup = 762,
  ByteLengthQueuingStrategy = 783,
  CDATASection = 809,
  CSS = 822,
  CSS2Properties = 826,
  CSSAnimation = 841,
  CSSConditionRule = 854,
  CSSContainerRule = 871,
  CSSCounterStyleRule = 888,
  CSSFontFaceRule = 908,
  CSSFontFeatureValuesRule = 924,
  CSSGroupingRule = 949,
  CSSImportRule = 965,
  CSSKeyframeRule = 979,
  CSSKeyframesRule = 995,
  CSSLayerBlockRule = 1012,
  CSSLayerStatementRule = 1030,
  CSSMediaRule = 1052,
  CSSMozDocumentRule = 1065,
  CSSNamespaceRule = 1084,
  CSSPageRule = 1101,
  CSSPseudoElement = 1113,
  CSSRule = 1130,
  CSSRuleList = 1138,
  CSSScrollTimelineRule = 1150,
  CSSStyleDeclaration = 1172,
  CSSStyleRule = 1192,
  CSSStyleSheet = 1205,
  CSSSupportsRule = 1219,
  CSSTransition = 1235,
  Cache = 1249,
  CacheStorage = 1255,
  CallbackDebuggerNotification = 1268,
  CanonicalBrowsingContext = 1297,
  CanvasCaptureMediaStream = 1322,
  CanvasGradient = 1347,
  CanvasPattern = 1362,
  CanvasRenderingContext2D = 1376,
  CaretPosition = 1401,
  CaretStateChangedEvent = 1415,
  ChannelMergerNode = 1438,
  ChannelSplitterNode = 1456,
  ChannelWrapper = 1476,
  CharacterData = 1491,
  CheckerboardReportService = 1505,
  ChildProcessMessageManager = 1531,
  ChildSHistory = 1558,
  ChromeMessageBroadcaster = 1572,
  ChromeMessageSender = 1597,
  ChromeNodeList = 1617,
  ChromeUtils = 1632,
  ChromeWorker = 1644,
  Client = 1657,
  Clients = 1664,
  Clipboard = 1672,
  ClipboardEvent = 1682,
  ClipboardItem = 1697,
  ClonedErrorHolder = 1711,
  CloseEvent = 1729,
  CommandEvent = 1740,
  Comment = 1753,
  CompositionEvent = 1761,
  ConsoleInstance = 1778,
  ConstantSourceNode = 1794,
  ContentFrameMessageManager = 1813,
  ContentProcessMessageManager = 1840,
  ConvolverNode = 1869,
  CountQueuingStrategy = 1883,
  CreateOfferRequest = 1904,
  Credential = 1923,
  CredentialsContainer = 1934,
  Crypto = 1955,
  CryptoKey = 1962,
  CustomElementRegistry = 1972,
  CustomEvent = 1994,
  DOMException = 2006,
  DOMImplementation = 2019,
  DOMLocalization = 2037,
  DOMMatrix = 2053,
  DOMMatrixReadOnly = 2063,
  DOMParser = 2081,
  DOMPoint = 2091,
  DOMPointReadOnly = 2100,
  DOMQuad = 2117,
  DOMRect = 2125,
  DOMRectList = 2133,
  DOMRectReadOnly = 2145,
  DOMRequest = 2161,
  DOMStringList = 2172,
  DOMStringMap = 2186,
  DOMTokenList = 2199,
  DataTransfer = 2212,
  DataTransferItem = 2225,
  DataTransferItemList = 2242,
  DebuggerNotification = 2263,
  DebuggerNotificationObserver = 2284,
  DedicatedWorkerGlobalScope = 2313,
  DelayNode = 2340,
  DeprecationReportBody = 2350,
  DeviceAcceleration = 2372,
  DeviceLightEvent = 2391,
  DeviceMotionEvent = 2408,
  DeviceOrientationEvent = 2426,
  DeviceRotationRate = 2449,
  Directory = 2468,
  Document = 2478,
  DocumentFragment = 2487,
  DocumentL10n = 2504,
  DocumentTimeline = 2517,
  DocumentType = 2534,
  DominatorTree = 2547,
  DragEvent = 2561,
  DynamicsCompressorNode = 2571,
  EXT_blend_minmax = 2594,
  EXT_color_buffer_float = 2611,
  EXT_color_buffer_half_float = 2634,
  EXT_disjoint_timer_query = 2662,
  EXT_float_blend = 2687,
  EXT_frag_depth = 2703,
  EXT_sRGB = 2718,
  EXT_shader_texture_lod = 2727,
  EXT_texture_compression_bptc = 2750,
  EXT_texture_compression_rgtc = 2779,
  EXT_texture_filter_anisotropic = 2808,
  EXT_texture_norm16 = 2839,
  Element = 2858,
  ElementInternals = 2866,
  ErrorEvent = 2883,
  Event = 2894,
  EventCallbackDebuggerNotification = 2900,
  EventCounts = 2934,
  EventSource = 2946,
  EventTarget = 2958,
  Exception = 2970,
  ExtendableEvent = 2980,
  ExtendableMessageEvent = 2996,
  ExtensionAlarms = 3019,
  ExtensionBrowser = 3035,
  ExtensionEventManager = 3052,
  ExtensionMockAPI = 3074,
  ExtensionPort = 3091,
  ExtensionRuntime = 3105,
  ExtensionTest = 3122,
  External = 3136,
  FeaturePolicy = 3145,
  FeaturePolicyViolationReportBody = 3159,
  FetchEvent = 3192,
  FetchObserver = 3203,
  File = 3217,
  FileList = 3222,
  FileReader = 3231,
  FileReaderSync = 3242,
  FileSystem = 3257,
  FileSystemDirectoryEntry = 3268,
  FileSystemDirectoryHandle = 3293,
  FileSystemDirectoryIterator = 3319,
  FileSystemDirectoryReader = 3347,
  FileSystemEntry = 3373,
  FileSystemFileEntry = 3389,
  FileSystemFileHandle = 3409,
  FileSystemHandle = 3430,
  FileSystemSyncAccessHandle = 3447,
  FileSystemWritableFileStream = 3474,
  Flex = 3503,
  FlexItemValues = 3508,
  FlexLineValues = 3523,
  FluentBundle = 3538,
  FluentBundleAsyncIterator = 3551,
  FluentBundleIterator = 3577,
  FluentPattern = 3598,
  FluentResource = 3612,
  FocusEvent = 3627,
  FontFace = 3638,
  FontFaceSet = 3647,
  FontFaceSetIterator = 3659,
  FontFaceSetLoadEvent = 3679,
  FormData = 3700,
  FormData_Iterator = 3709,
  FormDataEvent = 3727,
  FrameCrashedEvent = 3741,
  FrameLoader = 3759,
  GPU = 3771,
  GPUAdapter = 3775,
  GPUBindGroup = 3786,
  GPUBindGroupLayout = 3799,
  GPUBuffer = 3818,
  GPUBufferUsage = 3828,
  GPUCanvasContext = 3843,
  GPUColorWrite = 3860,
  GPUCommandBuffer = 3874,
  GPUCommandEncoder = 3891,
  GPUCompilationInfo = 3909,
  GPUCompilationMessage = 3928,
  GPUComputePassEncoder = 3950,
  GPUComputePipeline = 3972,
  GPUDevice = 3991,
  GPUDeviceLostInfo = 4001,
  GPUMapMode = 4019,
  GPUOutOfMemoryError = 4030,
  GPUPipelineLayout = 4050,
  GPUQuerySet = 4068,
  GPUQueue = 4080,
  GPURenderBundle = 4089,
  GPURenderBundleEncoder = 4105,
  GPURenderPassEncoder = 4128,
  GPURenderPipeline = 4149,
  GPUSampler = 4167,
  GPUShaderModule = 4178,
  GPUShaderStage = 4194,
  GPUSupportedFeatures = 4209,
  GPUSupportedLimits = 4230,
  GPUTexture = 4249,
  GPUTextureUsage = 4260,
  GPUTextureView = 4276,
  GPUUncapturedErrorEvent = 4291,
  GPUValidationError = 4315,
  GainNode = 4334,
  Gamepad = 4343,
  GamepadAxisMoveEvent = 4351,
  GamepadButton = 4372,
  GamepadButtonEvent = 4386,
  GamepadEvent = 4405,
  GamepadHapticActuator = 4418,
  GamepadLightIndicator = 4440,
  GamepadPose = 4462,
  GamepadServiceTest = 4474,
  GamepadTouch = 4493,
  Geolocation = 4506,
  GeolocationCoordinates = 4518,
  GeolocationPosition = 4541,
  GeolocationPositionError = 4561,
  GetUserMediaRequest = 4586,
  GleanCategory = 4606,
  GleanImpl = 4620,
  GleanLabeled = 4630,
  GleanPingsImpl = 4643,
  Grid = 4658,
  GridArea = 4663,
  GridDimension = 4672,
  GridLine = 4686,
  GridLines = 4695,
  GridTrack = 4705,
  GridTracks = 4715,
  HTMLAllCollection = 4726,
  HTMLAnchorElement = 4744,
  HTMLAreaElement = 4762,
  HTMLAudioElement = 4778,
  HTMLBRElement = 4795,
  HTMLBaseElement = 4809,
  HTMLBodyElement = 4825,
  HTMLButtonElement = 4841,
  HTMLCanvasElement = 4859,
  HTMLCollection = 4877,
  HTMLDListElement = 4892,
  HTMLDataElement = 4909,
  HTMLDataListElement = 4925,
  HTMLDetailsElement = 4945,
  HTMLDialogElement = 4964,
  HTMLDirectoryElement = 4982,
  HTMLDivElement = 5003,
  HTMLDocument = 5018,
  HTMLElement = 5031,
  HTMLEmbedElement = 5043,
  HTMLFieldSetElement = 5060,
  HTMLFontElement = 5080,
  HTMLFormControlsCollection = 5096,
  HTMLFormElement = 5123,
  HTMLFrameElement = 5139,
  HTMLFrameSetElement = 5156,
  HTMLHRElement = 5176,
  HTMLHeadElement = 5190,
  HTMLHeadingElement = 5206,
  HTMLHtmlElement = 5225,
  HTMLIFrameElement = 5241,
  HTMLImageElement = 5259,
  HTMLInputElement = 5276,
  HTMLLIElement = 5293,
  HTMLLabelElement = 5307,
  HTMLLegendElement = 5324,
  HTMLLinkElement = 5342,
  HTMLMapElement = 5358,
  HTMLMarqueeElement = 5373,
  HTMLMediaElement = 5392,
  HTMLMenuElement = 5409,
  HTMLMenuItemElement = 5425,
  HTMLMetaElement = 5445,
  HTMLMeterElement = 5461,
  HTMLModElement = 5478,
  HTMLOListElement = 5493,
  HTMLObjectElement = 5510,
  HTMLOptGroupElement = 5528,
  HTMLOptionElement = 5548,
  HTMLOptionsCollection = 5566,
  HTMLOutputElement = 5588,
  HTMLParagraphElement = 5606,
  HTMLParamElement = 5627,
  HTMLPictureElement = 5644,
  HTMLPreElement = 5663,
  HTMLProgressElement = 5678,
  HTMLQuoteElement = 5698,
  HTMLScriptElement = 5715,
  HTMLSelectElement = 5733,
  HTMLSlotElement = 5751,
  HTMLSourceElement = 5767,
  HTMLSpanElement = 5785,
  HTMLStyleElement = 5801,
  HTMLTableCaptionElement = 5818,
  HTMLTableCellElement = 5842,
  HTMLTableColElement = 5863,
  HTMLTableElement = 5883,
  HTMLTableRowElement = 5900,
  HTMLTableSectionElement = 5920,
  HTMLTemplateElement = 5944,
  HTMLTextAreaElement = 5964,
  HTMLTimeElement = 5984,
  HTMLTitleElement = 6000,
  HTMLTrackElement = 6017,
  HTMLUListElement = 6034,
  HTMLUnknownElement = 6051,
  HTMLVideoElement = 6070,
  HashChangeEvent = 6087,
  Headers = 6103,
  Headers_Iterator = 6111,
  HeapSnapshot = 6128,
  History = 6141,
  IDBCursor = 6149,
  IDBCursorWithValue = 6159,
  IDBDatabase = 6178,
  IDBFactory = 6190,
  IDBFileHandle = 6201,
  IDBFileRequest = 6215,
  IDBIndex = 6230,
  IDBKeyRange = 6239,
  IDBLocaleAwareKeyRange = 6251,
  IDBMutableFile = 6274,
  IDBObjectStore = 6289,
  IDBOpenDBRequest = 6304,
  IDBRequest = 6321,
  IDBTransaction = 6332,
  IDBVersionChangeEvent = 6347,
  IIRFilterNode = 6369,
  IOUtils = 6383,
  IdleDeadline = 6391,
  Image = 6404,
  ImageBitmap = 6410,
  ImageBitmapRenderingContext = 6422,
  ImageCapture = 6450,
  ImageCaptureError = 6463,
  ImageCaptureErrorEvent = 6481,
  ImageData = 6504,
  ImageDocument = 6514,
  InputEvent = 6528,
  InspectorFontFace = 6539,
  InspectorUtils = 6557,
  InstallTriggerImpl = 6572,
  IntersectionObserver = 6591,
  IntersectionObserverEntry = 6612,
  IntlUtils = 6638,
  JSProcessActorChild = 6648,
  JSProcessActorParent = 6668,
  JSWindowActorChild = 6689,
  JSWindowActorParent = 6708,
  KeyEvent = 6728,
  KeyboardEvent = 6737,
  KeyframeEffect = 6751,
  L10nFileSource = 6766,
  L10nOverlays = 6781,
  L10nRegistry = 6794,
  LegacyMozTCPSocket = 6807,
  Localization = 6826,
  Location = 6839,
  Lock = 6848,
  LockManager = 6853,
  MIDIAccess = 6865,
  MIDIConnectionEvent = 6876,
  MIDIInput = 6896,
  MIDIInputMap = 6906,
  MIDIMessageEvent = 6919,
  MIDIOutput = 6936,
  MIDIOutputMap = 6947,
  MIDIPort = 6961,
  MOZ_debug = 6970,
  MatchGlob = 6980,
  MatchPattern = 6990,
  MatchPatternSet = 7003,
  MathMLElement = 7019,
  MediaCapabilities = 7033,
  MediaCapabilitiesInfo = 7051,
  MediaControlService = 7073,
  MediaController = 7093,
  MediaDeviceInfo = 7109,
  MediaDevices = 7125,
  MediaElementAudioSourceNode = 7138,
  MediaEncryptedEvent = 7166,
  MediaError = 7186,
  MediaKeyError = 7197,
  MediaKeyMessageEvent = 7211,
  MediaKeySession = 7232,
  MediaKeyStatusMap = 7248,
  MediaKeyStatusMap_Iterator = 7266,
  MediaKeySystemAccess = 7293,
  MediaKeys = 7314,
  MediaList = 7324,
  MediaMetadata = 7334,
  MediaQueryList = 7348,
  MediaQueryListEvent = 7363,
  MediaRecorder = 7383,
  MediaRecorderErrorEvent = 7397,
  MediaSession = 7421,
  MediaSource = 7434,
  MediaStream = 7446,
  MediaStreamAudioDestinationNode = 7458,
  MediaStreamAudioSourceNode = 7490,
  MediaStreamError = 7517,
  MediaStreamEvent = 7534,
  MediaStreamTrack = 7551,
  MediaStreamTrackAudioSourceNode = 7568,
  MediaStreamTrackEvent = 7600,
  MerchantValidationEvent = 7622,
  MessageBroadcaster = 7646,
  MessageChannel = 7665,
  MessageEvent = 7680,
  MessageListenerManager = 7693,
  MessagePort = 7716,
  MessageSender = 7728,
  MimeType = 7742,
  MimeTypeArray = 7751,
  MouseEvent = 7765,
  MouseScrollEvent = 7776,
  MozCanvasPrintState = 7793,
  MozDocumentMatcher = 7813,
  MozDocumentObserver = 7832,
  MozQueryInterface = 7852,
  MozSharedMap = 7870,
  MozSharedMap_Iterator = 7883,
  MozSharedMapChangeEvent = 7905,
  MozStorageAsyncStatementParams = 7929,
  MozStorageStatementParams = 7960,
  MozStorageStatementRow = 7986,
  MozWritableSharedMap = 8009,
  MutationEvent = 8030,
  MutationObserver = 8044,
  MutationRecord = 8061,
  NamedNodeMap = 8076,
  NavigationPreloadManager = 8089,
  Navigator = 8114,
  NetworkInformation = 8124,
  Node = 8143,
  NodeFilter = 8148,
  NodeIterator = 8159,
  NodeList = 8172,
  Notification = 8181,
  NotificationEvent = 8194,
  NotifyPaintEvent = 8212,
  OES_draw_buffers_indexed = 8229,
  OES_element_index_uint = 8254,
  OES_fbo_render_mipmap = 8277,
  OES_standard_derivatives = 8299,
  OES_texture_float = 8324,
  OES_texture_float_linear = 8342,
  OES_texture_half_float = 8367,
  OES_texture_half_float_linear = 8390,
  OES_vertex_array_object = 8420,
  OVR_multiview2 = 8444,
  OfflineAudioCompletionEvent = 8459,
  OfflineAudioContext = 8487,
  OfflineResourceList = 8507,
  OffscreenCanvas = 8527,
  OffscreenCanvasRenderingContext2D = 8543,
  OnlyForUseInConstructor = 8577,
  Option = 8601,
  OscillatorNode = 8608,
  PageTransitionEvent = 8623,
  PaintRequest = 8643,
  PaintRequestList = 8656,
  PaintWorkletGlobalScope = 8673,
  PannerNode = 8697,
  ParentProcessMessageManager = 8708,
  Path2D = 8736,
  PathUtils = 8743,
  PaymentAddress = 8753,
  PaymentMethodChangeEvent = 8768,
  PaymentRequest = 8793,
  PaymentRequestUpdateEvent = 8808,
  PaymentResponse = 8834,
  Performance = 8850,
  PerformanceEntry = 8862,
  PerformanceEntryEvent = 8879,
  PerformanceEventTiming = 8901,
  PerformanceMark = 8924,
  PerformanceMeasure = 8940,
  PerformanceNavigation = 8959,
  PerformanceNavigationTiming = 8981,
  PerformanceObserver = 9009,
  PerformanceObserverEntryList = 9029,
  PerformancePaintTiming = 9058,
  PerformanceResourceTiming = 9081,
  PerformanceServerTiming = 9107,
  PerformanceTiming = 9131,
  PeriodicWave = 9149,
  PermissionStatus = 9162,
  Permissions = 9179,
  PlacesBookmark = 9191,
  PlacesBookmarkAddition = 9206,
  PlacesBookmarkChanged = 9229,
  PlacesBookmarkGuid = 9251,
  PlacesBookmarkMoved = 9270,
  PlacesBookmarkRemoved = 9290,
  PlacesBookmarkTags = 9312,
  PlacesBookmarkTime = 9331,
  PlacesBookmarkTitle = 9350,
  PlacesBookmarkUrl = 9370,
  PlacesEvent = 9388,
  PlacesFavicon = 9400,
  PlacesHistoryCleared = 9414,
  PlacesObservers = 9435,
  PlacesPurgeCaches = 9451,
  PlacesRanking = 9469,
  PlacesVisit = 9483,
  PlacesVisitRemoved = 9495,
  PlacesVisitTitle = 9514,
  PlacesWeakCallbackWrapper = 9531,
  Plugin = 9557,
  PluginArray = 9564,
  PluginCrashedEvent = 9576,
  PointerEvent = 9595,
  PopStateEvent = 9608,
  PopupBlockedEvent = 9622,
  PopupPositionedEvent = 9640,
  PositionStateEvent = 9661,
  PrecompiledScript = 9680,
  PrioEncoder = 9698,
  ProcessMessageManager = 9710,
  ProcessingInstruction = 9732,
  ProgressEvent = 9754,
  PromiseDebugging = 9768,
  PromiseNativeHandler = 9785,
  PromiseRejectionEvent = 9806,
  PublicKeyCredential = 9828,
  PushEvent = 9848,
  PushManager = 9858,
  PushManagerImpl = 9870,
  PushMessageData = 9886,
  PushSubscription = 9902,
  PushSubscriptionOptions = 9919,
  RadioNodeList = 9943,
  Range = 9957,
  ReadableByteStreamController = 9963,
  ReadableStream = 9992,
  ReadableStreamBYOBReader = 10007,
  ReadableStreamBYOBRequest = 10032,
  ReadableStreamDefaultController = 10058,
  ReadableStreamDefaultReader = 10090,
  Report = 10118,
  ReportBody = 10125,
  ReportingObserver = 10136,
  Request = 10154,
  ResizeObserver = 10162,
  ResizeObserverEntry = 10177,
  ResizeObserverSize = 10197,
  Response = 10216,
  SVGAElement = 10225,
  SVGAngle = 10237,
  SVGAnimateElement = 10246,
  SVGAnimateMotionElement = 10264,
  SVGAnimateTransformElement = 10288,
  SVGAnimatedAngle = 10315,
  SVGAnimatedBoolean = 10332,
  SVGAnimatedEnumeration = 10351,
  SVGAnimatedInteger = 10374,
  SVGAnimatedLength = 10393,
  SVGAnimatedLengthList = 10411,
  SVGAnimatedNumber = 10433,
  SVGAnimatedNumberList = 10451,
  SVGAnimatedPreserveAspectRatio = 10473,
  SVGAnimatedRect = 10504,
  SVGAnimatedString = 10520,
  SVGAnimatedTransformList = 10538,
  SVGAnimationElement = 10563,
  SVGCircleElement = 10583,
  SVGClipPathElement = 10600,
  SVGComponentTransferFunctionElement = 10619,
  SVGDefsElement = 10655,
  SVGDescElement = 10670,
  SVGElement = 10685,
  SVGEllipseElement = 10696,
  SVGFEBlendElement = 10714,
  SVGFEColorMatrixElement = 10732,
  SVGFEComponentTransferElement = 10756,
  SVGFECompositeElement = 10786,
  SVGFEConvolveMatrixElement = 10808,
  SVGFEDiffuseLightingElement = 10835,
  SVGFEDisplacementMapElement = 10863,
  SVGFEDistantLightElement = 10891,
  SVGFEDropShadowElement = 10916,
  SVGFEFloodElement = 10939,
  SVGFEFuncAElement = 10957,
  SVGFEFuncBElement = 10975,
  SVGFEFuncGElement = 10993,
  SVGFEFuncRElement = 11011,
  SVGFEGaussianBlurElement = 11029,
  SVGFEImageElement = 11054,
  SVGFEMergeElement = 11072,
  SVGFEMergeNodeElement = 11090,
  SVGFEMorphologyElement = 11112,
  SVGFEOffsetElement = 11135,
  SVGFEPointLightElement = 11154,
  SVGFESpecularLightingElement = 11177,
  SVGFESpotLightElement = 11206,
  SVGFETileElement = 11228,
  SVGFETurbulenceElement = 11245,
  SVGFilterElement = 11268,
  SVGForeignObjectElement = 11285,
  SVGGElement = 11309,
  SVGGeometryElement = 11321,
  SVGGradientElement = 11340,
  SVGGraphicsElement = 11359,
  SVGImageElement = 11378,
  SVGLength = 11394,
  SVGLengthList = 11404,
  SVGLineElement = 11418,
  SVGLinearGradientElement = 11433,
  SVGMPathElement = 11458,
  SVGMarkerElement = 11474,
  SVGMaskElement = 11491,
  SVGMatrix = 11506,
  SVGMetadataElement = 11516,
  SVGNumber = 11535,
  SVGNumberList = 11545,
  SVGPathElement = 11559,
  SVGPathSeg = 11574,
  SVGPathSegArcAbs = 11585,
  SVGPathSegArcRel = 11602,
  SVGPathSegClosePath = 11619,
  SVGPathSegCurvetoCubicAbs = 11639,
  SVGPathSegCurvetoCubicRel = 11665,
  SVGPathSegCurvetoCubicSmoothAbs = 11691,
  SVGPathSegCurvetoCubicSmoothRel = 11723,
  SVGPathSegCurvetoQuadraticAbs = 11755,
  SVGPathSegCurvetoQuadraticRel = 11785,
  SVGPathSegCurvetoQuadraticSmoothAbs = 11815,
  SVGPathSegCurvetoQuadraticSmoothRel = 11851,
  SVGPathSegLinetoAbs = 11887,
  SVGPathSegLinetoHorizontalAbs = 11907,
  SVGPathSegLinetoHorizontalRel = 11937,
  SVGPathSegLinetoRel = 11967,
  SVGPathSegLinetoVerticalAbs = 11987,
  SVGPathSegLinetoVerticalRel = 12015,
  SVGPathSegList = 12043,
  SVGPathSegMovetoAbs = 12058,
  SVGPathSegMovetoRel = 12078,
  SVGPatternElement = 12098,
  SVGPoint = 12116,
  SVGPointList = 12125,
  SVGPolygonElement = 12138,
  SVGPolylineElement = 12156,
  SVGPreserveAspectRatio = 12175,
  SVGRadialGradientElement = 12198,
  SVGRect = 12223,
  SVGRectElement = 12231,
  SVGSVGElement = 12246,
  SVGScriptElement = 12260,
  SVGSetElement = 12277,
  SVGStopElement = 12291,
  SVGStringList = 12306,
  SVGStyleElement = 12320,
  SVGSwitchElement = 12336,
  SVGSymbolElement = 12353,
  SVGTSpanElement = 12370,
  SVGTextContentElement = 12386,
  SVGTextElement = 12408,
  SVGTextPathElement = 12423,
  SVGTextPositioningElement = 12442,
  SVGTitleElement = 12468,
  SVGTransform = 12484,
  SVGTransformList = 12497,
  SVGUnitTypes = 12514,
  SVGUseElement = 12527,
  SVGViewElement = 12541,
  Sanitizer = 12556,
  Scheduler = 12566,
  Screen = 12576,
  ScreenLuminance = 12583,
  ScreenOrientation = 12599,
  ScriptProcessorNode = 12617,
  ScrollAreaEvent = 12637,
  ScrollViewChangeEvent = 12653,
  SecurityPolicyViolationEvent = 12675,
  Selection = 12704,
  ServiceWorker = 12714,
  ServiceWorkerContainer = 12728,
  ServiceWorkerGlobalScope = 12751,
  ServiceWorkerRegistration = 12776,
  SessionStoreFormData = 12802,
  SessionStoreScrollData = 12823,
  SessionStoreUtils = 12846,
  ShadowRoot = 12864,
  SharedWorker = 12875,
  SharedWorkerGlobalScope = 12888,
  SimpleGestureEvent = 12912,
  SourceBuffer = 12931,
  SourceBufferList = 12944,
  SpeechGrammar = 12961,
  SpeechGrammarList = 12975,
  SpeechRecognition = 12993,
  SpeechRecognitionAlternative = 13011,
  SpeechRecognitionError = 13040,
  SpeechRecognitionEvent = 13063,
  SpeechRecognitionResult = 13086,
  SpeechRecognitionResultList = 13110,
  SpeechSynthesis = 13138,
  SpeechSynthesisErrorEvent = 13154,
  SpeechSynthesisEvent = 13180,
  SpeechSynthesisUtterance = 13201,
  SpeechSynthesisVoice = 13226,
  StaticRange = 13247,
  StereoPannerNode = 13259,
  Storage = 13276,
  StorageEvent = 13284,
  StorageManager = 13297,
  StreamFilter = 13312,
  StreamFilterDataEvent = 13325,
  StructuredCloneHolder = 13347,
  StructuredCloneTester = 13369,
  StyleSheet = 13391,
  StyleSheetApplicableStateChangeEvent = 13402,
  StyleSheetList = 13439,
  SubmitEvent = 13454,
  SubtleCrypto = 13466,
  SyncMessageSender = 13479,
  SyncReadFile = 13497,
  TCPServerSocket = 13510,
  TCPServerSocketEvent = 13526,
  TCPSocket = 13547,
  TCPSocketErrorEvent = 13557,
  TCPSocketEvent = 13577,
  TaskController = 13592,
  TaskPriorityChangeEvent = 13607,
  TaskSignal = 13631,
  TelemetryStopwatch = 13642,
  TestAttributesOnTypes = 13661,
  TestCEReactionsInterface = 13683,
  TestCImplementedInterface = 13708,
  TestCImplementedInterface2 = 13734,
  TestChildInterface = 13761,
  TestConstructorForFuncInterface = 13780,
  TestConstructorForPrefInterface = 13812,
  TestConstructorForSCInterface = 13844,
  TestCppKeywordNamedMethodsInterface = 13874,
  TestDeprecatedInterface = 13910,
  TestExampleInterface = 13934,
  TestExampleProxyInterface = 13955,
  TestExampleThrowingConstructorInterface = 13981,
  TestExampleWorkerInterface = 14021,
  TestFuncConstructorForDifferentFuncInterface = 14048,
  TestFuncConstructorForInterface = 14093,
  TestHTMLConstructorInterface = 14125,
  TestIndexedAndNamedGetterAndSetterInterface = 14154,
  TestIndexedAndNamedGetterInterface = 14198,
  TestIndexedAndNamedSetterInterface = 14233,
  TestIndexedGetterAndSetterAndNamedGetterInterface = 14268,
  TestIndexedGetterInterface = 14318,
  TestIndexedSetterInterface = 14345,
  TestInterface = 14372,
  TestInterfaceWithPromiseConstructorArg = 14386,
  TestJSImplInterface = 14425,
  TestJSImplInterface2 = 14445,
  TestJSImplInterface3 = 14466,
  TestJSImplInterface4 = 14487,
  TestJSImplInterface5 = 14508,
  TestJSImplInterface6 = 14529,
  TestJSImplNoInterfaceObject = 14550,
  TestNamedDeleterInterface = 14578,
  TestNamedDeleterWithRetvalInterface = 14604,
  TestNamedGetterInterface = 14640,
  TestNamedSetterInterface = 14665,
  TestNamespace = 14690,
  TestNonWrapperCacheInterface = 14704,
  TestParentInterface = 14733,
  TestPrefChromeOnlySCFuncConstructorForInterface = 14753,
  TestPrefConstructorForDifferentPrefInterface = 14801,
  TestPrefConstructorForInterface = 14846,
  TestProtoObjectHackedNamespace = 14878,
  TestRenamedInterface = 14909,
  TestRenamedNamespace = 14930,
  TestSCConstructorForInterface = 14951,
  TestSecureContextInterface = 14981,
  TestThrowingConstructorInterface = 15008,
  TestUtils = 15041,
  TestWorkerExposedInterface = 15051,
  TestingDeprecatedInterface = 15078,
  Text = 15105,
  TextClause = 15110,
  TextDecoder = 15121,
  TextEncoder = 15133,
  TextMetrics = 15145,
  TextTrack = 15157,
  TextTrackCue = 15167,
  TextTrackCueList = 15180,
  TextTrackList = 15197,
  TimeEvent = 15211,
  TimeRanges = 15221,
  Touch = 15232,
  TouchEvent = 15238,
  TouchList = 15249,
  TrackEvent = 15259,
  TransformStream = 15270,
  TransformStreamDefaultController = 15286,
  TransitionEvent = 15319,
  TreeColumn = 15335,
  TreeColumns = 15346,
  TreeContentView = 15358,
  TreeWalker = 15374,
  U2F = 15385,
  UDPMessageEvent = 15389,
  UDPSocket = 15405,
  UIEvent = 15415,
  URL = 15423,
  URLSearchParams = 15427,
  URLSearchParams_Iterator = 15443,
  UserInteraction = 15468,
  UserProximityEvent = 15484,
  VRDisplay = 15503,
  VRDisplayCapabilities = 15513,
  VRDisplayEvent = 15535,
  VREyeParameters = 15550,
  VRFieldOfView = 15566,
  VRFrameData = 15580,
  VRMockController = 15592,
  VRMockDisplay = 15609,
  VRPose = 15623,
  VRServiceTest = 15630,
  VRStageParameters = 15644,
  VTTCue = 15662,
  VTTRegion = 15669,
  ValidityState = 15679,
  VideoPlaybackQuality = 15693,
  VideoTrack = 15714,
  VideoTrackList = 15725,
  VisualViewport = 15740,
  WEBGL_color_buffer_float = 15755,
  WEBGL_compressed_texture_astc = 15780,
  WEBGL_compressed_texture_etc = 15810,
  WEBGL_compressed_texture_etc1 = 15839,
  WEBGL_compressed_texture_pvrtc = 15869,
  WEBGL_compressed_texture_s3tc = 15900,
  WEBGL_compressed_texture_s3tc_srgb = 15930,
  WEBGL_debug_renderer_info = 15965,
  WEBGL_debug_shaders = 15991,
  WEBGL_depth_texture = 16011,
  WEBGL_draw_buffers = 16031,
  WEBGL_explicit_present = 16050,
  WEBGL_lose_context = 16073,
  WaveShaperNode = 16092,
  WebExtensionContentScript = 16107,
  WebExtensionPolicy = 16133,
  WebGL2RenderingContext = 16152,
  WebGLActiveInfo = 16175,
  WebGLBuffer = 16191,
  WebGLContextEvent = 16203,
  WebGLFramebuffer = 16221,
  WebGLProgram = 16238,
  WebGLQuery = 16251,
  WebGLRenderbuffer = 16262,
  WebGLRenderingContext = 16280,
  WebGLSampler = 16302,
  WebGLShader = 16315,
  WebGLShaderPrecisionFormat = 16327,
  WebGLSync = 16354,
  WebGLTexture = 16364,
  WebGLTransformFeedback = 16377,
  WebGLUniformLocation = 16400,
  WebGLVertexArrayObject = 16421,
  WebKitCSSMatrix = 16444,
  WebSocket = 16460,
  WheelEvent = 16470,
  Window = 16481,
  WindowClient = 16488,
  WindowContext = 16501,
  WindowGlobalChild = 16515,
  WindowGlobalParent = 16533,
  WindowRoot = 16552,
  Worker = 16563,
  WorkerDebuggerGlobalScope = 16570,
  WorkerGlobalScope = 16596,
  WorkerLocation = 16614,
  WorkerNavigator = 16629,
  WorkerTestUtils = 16645,
  Worklet = 16661,
  WorkletGlobalScope = 16669,
  WritableStream = 16688,
  WritableStreamDefaultController = 16703,
  WritableStreamDefaultWriter = 16735,
  XMLDocument = 16763,
  XMLHttpRequest = 16775,
  XMLHttpRequestEventTarget = 16790,
  XMLHttpRequestUpload = 16816,
  XMLSerializer = 16837,
  XPathEvaluator = 16851,
  XPathExpression = 16866,
  XPathResult = 16882,
  XRBoundedReferenceSpace = 16894,
  XRFrame = 16918,
  XRInputSource = 16926,
  XRInputSourceArray = 16940,
  XRInputSourceEvent = 16959,
  XRInputSourcesChangeEvent = 16978,
  XRPose = 17004,
  XRReferenceSpace = 17011,
  XRReferenceSpaceEvent = 17028,
  XRRenderState = 17050,
  XRRigidTransform = 17064,
  XRSession = 17081,
  XRSessionEvent = 17091,
  XRSpace = 17106,
  XRSystem = 17114,
  XRView = 17123,
  XRViewerPose = 17130,
  XRViewport = 17143,
  XRWebGLLayer = 17154,
  XSLTProcessor = 17167,
  XULCommandEvent = 17181,
  XULElement = 17197,
  XULFrameElement = 17208,
  XULMenuElement = 17224,
  XULPopupElement = 17239,
  XULTextElement = 17255,
  XULTreeElement = 17270,
  console = 17285,
  webkitSpeechGrammar = 17293,
  webkitSpeechGrammarList = 17313,
  webkitSpeechRecognition = 17337,
  webkitURL = 17361,
};

namespace binding_detail {
extern const char sBindingNames[];
}  // namespace binding_detail

MOZ_ALWAYS_INLINE const char* BindingName(BindingNamesOffset aOffset) {
  return binding_detail::sBindingNames + static_cast<size_t>(aOffset);
}

} // namespace mozilla::dom


#endif // mozilla_dom_BindingNames_h
